HXTABLETRANS(1)

NAME
hxtabletrans - transpose an HTML or XHTML table

SYNOPSIS
hxtabletrans [ -c ] [ -x ] [ -v ] [ file-or-URL ]

DESCRIPTION
hxtabletrans reads an HTML or XHTML file (or fragment), finds the first <table> element and outputs that element with the rows and columns transposed. I.e., rows become columns and columns become rows.

Any grouping of rows with <thead>, <tbody> or <tfoot> is lost. Also, any comments outside the cells are lost.

OPTIONS
The following options are supported:

-c  Also try to transpose the contents of cells. If a cell consists only of horizontal or vertical arrows and ellipses (apart from mark-up and whitespace), then those arrows and ellipses are replaced by their transposed counterparts. E.g., a right arrow becomes a down arrow.

-x  Use XML syntax. Empty elements are written with a slash (/) at the end, e.g.: <br/>

-v  Print the version number and exit.

BUGS
hxtabletrans should check for rows that have fewer cells than the longest row (taking into account the effect of the colspan and rowspan attributes) and create the omitted cells, but it currently doesn't. Tables with rows of unequal length may thus not be transposed correctly.

Nested tables are not transposed.